datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu133b <- function() showQCData("hgu133b", datacache)
hgu133b_dbconn <- function() dbconn(datacache)
hgu133b_dbfile <- function() dbfile(datacache)
hgu133b_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu133b_dbInfo <- function() dbInfo(datacache)

hgu133bORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu133b.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hgu133b", "chip hgu133b", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu133b_dbconn())
}

